export default function request(urldata) {
    const { url, data, method, header, userInfo } = urldata;
    const baseUrl =
        "http://192.168.0.218:8086/"
        + url;
    if (userInfo) {
        uni.getStorage({
            key: "userinfo",
            success: (res) => {
                if (res.data) {
                    if (res.data.nickName) {
                        return new Promise((resolve, reject) => {
                            uni.request({
                                url: baseUrl,
                                data: data,
                                method: method,
                                header: header,
                                success: function (res) {
                                    resolve(res.data);
                                },
                                fail: function (res) {
                                    reject(res);
                                }
                            });
                        });
                    } else {
                        this.$global.lastPage = uni.page.route;
                        uni.reLaunch({ url: "/pages/UserInformation/UserInformation" })
                    }
                } else {
                    this.$global.lastPage = uni.page.route;
                    uni.navigateTo({ url: '/pages/login/login' })
                }
            }
        });
    } else {
        return new Promise((resolve, reject) => {
            uni.request({
                url: baseUrl,
                data: data,
                method: method,
                header: header,
                success: function (res) {
                    resolve(res.data);
                },
                fail: function (res) {
                    reject(res);
                }
            });
        });
    }

}